<?php

include("openssl_enc_dec.php");
if (isset($_REQUEST["cfg"])) {
    $sql_details = unserialize(urldecode(encrypt_decrypt('decrypt', $_REQUEST['cfg'])));
}
include("../dt/Editor/lib/DataTables.php");

use
	DataTables\Editor,
	DataTables\Editor\Field,
	DataTables\Editor\Format,
	DataTables\Editor\Mjoin,
	DataTables\Editor\Options,
	DataTables\Editor\Upload,
	DataTables\Editor\Validate,
	DataTables\Editor\ValidateOptions;

$lang = (isset($_REQUEST['lang']) ? $_REQUEST['lang'] : 'sk'); // jazyk
	
Editor::inst($db, 'prava', 'id')
	->fields(
		Field::inst('prava.id')->set(false),
		Field::inst('prava.kod_uziv')
            ->validator(Validate::notEmpty(ValidateOptions::inst()
                ->message('Povinný údaj')
            ))
            ->options(Options::inst()
                ->table('uzivatelia')
                ->value('kod')
                ->label('meno')
            ),
	    Field::inst('uzivatelia.meno')->set(false),
	    Field::inst('prava.kod_lok')
            ->validator(Validate::notEmpty(ValidateOptions::inst()
                ->message('Povinný údaj')
            ))
            ->options(Options::inst()
                ->table('lokacie')
                ->value('kod')
                ->label('nazov')
            ),
	    Field::inst('lokacie.nazov')->set(false)
	)    
    ->leftJoin('uzivatelia', 'uzivatelia.kod', '=', 'prava.kod_uziv')
    ->leftJoin('lokacie', 'lokacie.kod', '=', 'prava.kod_lok')
    ->process($_POST)
	->json();

?>