<?php

include("openssl_enc_dec.php");

if (isset($_GET["cfg"])) {
    $sql_details = unserialize(urldecode(encrypt_decrypt('decrypt', $_GET['cfg'])));
}
include("dt/Editor/lib/DataTables.php");

class login {

    // hodnoty predávané pri príhlasovani uzivatela
    var $login_name;
    var $login_pw;
    
    // hodnoty o uzivatelovi
    var $id_user;
    var $firstname;
    var $lastname;
    
    // interne hodnoty
    var $is_logged;
    var $session_login_string;
    var $ip;
    var $last_time;
    var $account_type;
    var $scroll_type;		// typ vertikalneho rolovania
    var $order;				// smer zoradenia
    var $language;			// jazyk
    
    var $right_majetok;		// opravnenie
    var $right_inventura;	// opravnenie
    var $right_ciselniky;	// opravnenie
    
	// dlzka necinnosti pred odhlasenim
	var $checktimelimit;
	
	// spojeni na databazu
	var $db;
	var $table;
	var $verzia_app;

	// konstruktor triedy obsahující inicializaciu niektorých premennych
	function __construct($verzia_app) {
		if (isset($_POST["login_name"])) {
			$this->login_name=htmlspecialchars($_POST["login_name"]);
		}
		else 
			if (isset($_SESSION["login_name"])) {
				$this->login_name = htmlspecialchars($_SESSION["login_name"]);
			}
			else 
				if (isset($_COOKIE["login_name"])) {
					$this->login_name = htmlspecialchars($_COOKIE["login_name"]);
				}

		if (isset($_POST["login_pw"])) {
			$this->login_pw = htmlspecialchars($_POST["login_pw"]);
		}

		if (isset($_SESSION["session_login_string"])) {
			$this->session_login_string = htmlspecialchars($_SESSION["session_login_string"]);
		}
		else 
			if (isset($_COOKIE["session_login_string"])) {
				$this->session_login_string = htmlspecialchars($_COOKIE["session_login_string"]);
			}
		
		// zabezpecenie proti utokom typu SQL inject
		$this->session_login_string=$this->test_sql($this->session_login_string);
		$this->login_name=$this->test_sql($this->login_name);
		$this->login_pw=$this->test_sql($this->login_pw);

		global $db;
		$this->db = $db;
		$this->table = "users";

		$this->ip = $_SERVER["REMOTE_ADDR"];

		// dlzka casového limitu v sekundach od posledneho pristupu
		$this->checktimelimit = 86400; // 24 hodin
        $this->verzia_app = $verzia_app;
        
		$this->logged();
	}

	function first_login() {
        //file_put_contents('log', "first_login"."\n", FILE_APPEND);
        //file_put_contents('log', "login_name ".$this->login_name."\n", FILE_APPEND);
        //file_put_contents('log', "this->is_logged ".$this->is_logged."\n", FILE_APPEND);

	    /*
	    $query = "SELECT language FROM nastavenia LIMIT 1";
        $result = $this->db->sql($query);
        $data = $result->fetch();
        $this->language = $data["language"];
	    */	    
        if (strlen($this->login_name) > 1) {
            if (strlen($this->login_pw) > 1) {
                $new_pw = md5($this->login_pw);
            } else {
                $new_pw = '';
            }
        	
        	$sql = "SELECT id FROM $this->table WHERE username LIKE '".$this->login_name."' AND pw LIKE '".$new_pw."'";
        	$result = $this->db->sql($sql);
        	// file_put_contents('log', "sql: ".$sql."\n", FILE_APPEND);
        	$data = $result->fetch();
        	if ($result) {
        	    if ($data && ($data["id"] > 0)) {
        			// ok prilogovat
        			$this->session_login_string = md5(uniqid(rand()));
        				
        			$sql = "UPDATE $this->table SET session='".$this->session_login_string."', ip='$this->ip' WHERE username='".$this->login_name."' AND pw='".$new_pw."'";
        			$this->db->sql($sql);
        			
        			//zapisanie casu prihlasenia uzivatela
        			$query = "UPDATE $this->table SET lasttime=now() WHERE session='".$this->session_login_string."' AND username='".$this->login_name."'";
        			$this->db->sql($query);
        						
        			$this->load();
        
        			$_SESSION["session_login_string"] = $this->session_login_string;
        			$_SESSION["login_name"] = $this->login_name;
        			$_SESSION["id_user"] = $this->id_user;
        			setcookie("session_login_string", $this->session_login_string, time()+3600*24);
        			setcookie("login_name", $this->login_name, time()+3600*24);
        			return 1;
        		} 
        		else {
        			//zobrazit hlasku o neuspesnom prihlasenie
        		    $_SESSION["login_name"] = $this->login_name;
        		    $this->is_logged = -1;
        			return 0;
        		}
        	} else {
        		return 0;
        	}
        } else {
            // nezadane uzivatelske meno ...
        	return 0;
        }
	}
	
	// odhlasenie uzivatela
	function logout() {
		$query = "UPDATE $this->table SET session='".md5(uniqid(rand()))."' WHERE session='".$this->session_login_string."' and ip='$this->ip'";
		$this->db->sql($query);
		
		$this->session_login_string = md5(uniqid(rand()));
		$this->login_name = md5(uniqid(rand()));
		session_unset();
		session_destroy();
		setcookie("session_login_string");
		setcookie("login_name");
		$this->load();
		$this->logged();
	}

	// testovanie, ci je uzivatel prihlaseny
	function logged() {
	    $query = "SELECT language FROM nastavenia LIMIT 1";
	    $result = $this->db->sql($query);
	    $data = $result->fetch();
	    $this->language = $data["language"];
	    	    
		//file_put_contents('log', "logged"."\n", FILE_APPEND);
		$query = "SELECT id FROM $this->table WHERE session='".$this->session_login_string."' AND username='".$this->login_name."' AND ip='".$this->ip."'  AND lasttime>=DATE_SUB(now(),INTERVAL ".$this->checktimelimit." SECOND)";
		//file_put_contents('log', "query:".print_r($query, true)."\n", FILE_APPEND);
		$result = $this->db->sql($query);
		$data = $result->fetch();
		if ($data && ($data["id"] > 0)) {
			$query = "UPDATE $this->table SET lasttime=now() WHERE session='".$this->session_login_string."' AND username='".$this->login_name."'";
			$this->db->sql($query);
			$this->load();
			return (1);
		} else {
			return (0);
		}
	}

	// naplnenie premennych
	function load(){
		$query = "SELECT * FROM $this->table WHERE session='".$this->session_login_string."' AND ip='$this->ip' AND username='".$this->login_name."' LIMIT 1";
		$result = $this->db->sql($query);
		$data = $result->fetch();
		if ($data && ($data["id"] > 0)) {
		    $this->id_user = $data["id"];
		    $this->firstname = $data["firstname"];
		    $this->lastname = $data["lastname"];
		    $this->lasttime = $data["lasttime"];
		    $this->account_type = $data["account_type"];
		    $this->scroll_type = $data["scroll_type"];
		    $this->order = $data["order"];
		    $this->language = 0;  // vzdy SK
		    
		    $this->right_majetok = $data["right_majetok"];
		    $this->right_inventura = $data["right_inventura"];
		    $this->right_ciselniky = $data["right_ciselniky"];
		    $this->is_logged = 1;
		} else {
			$this->is_logged = 0;
		}

		$query = "SELECT language FROM nastavenia LIMIT 1";
		$result = $this->db->sql($query);
		$data = $result->fetch();
		$this->language = $data["language"];
	}

	// zabezpecenie proti utokom typu SQL inject
	function test_sql($teststring) {
	    if (!is_null($teststring)) {
    		$teststring = strtr($teststring, " ", "x");
    		$teststring = strtr($teststring, "'", "x");
    		$teststring = strtr($teststring, "+", "x");
    		$teststring = strtr($teststring, "--", "x");
    		$teststring = strtr($teststring, "&", "x");
	    }
		return ($teststring);
	}

	// zobrazenie formulara pre prihlasenie
	function show_login_form($home_site) {
	    //file_put_contents('log', 'sql_details: ' . print_r(encrypt_decrypt('encrypt', urlencode(serialize($_GET['cfg']))), true)."\n", FILE_APPEND);
	    ?>
        <style type="text/css" title="currentStyle" class="init">
        	@import "css/login_form.css";
        </style>
        <div class="login-form mb-3">
            <form action="<?php echo $home_site; ?>" method="post">
                <h2 class="text-center" id="prihlasenie">Prihlásenie</h2>       
                <input type="text" class="form-control" id="username" name="login_name" value="<?php echo (isset($_SESSION["login_name"])) ? $_SESSION["login_name"] : ''; ?>" placeholder="Meno" required="required">
                <input type="password" class="form-control" id="password" name="login_pw" placeholder="Heslo">
                <div class="d-grid gap-2 col-6 mx-auto">
					<button class="btn btn-primary btn-block" type="submit"><span id="prihlasit_btn">Prihlásiť</span></button>
				</div>
                <!--
                <div class="clearfix">
                    <label class="pull-left checkbox-inline"><input type="checkbox"> Remember me</label>
                    <a href="#" class="pull-right">Forgot Password?</a>
                </div>
                -->        
            </form>
            <!-- 
            <p class="text-center"><a href="#">Create an Account</a></p>
            -->
        </div>
		<?php
		}

}
?>
	